OpenNMS API 1.2.9

## org.opennms.netmgt.rtc
Class RTCException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.opennms.netmgt.rtc.RTCException

All Implemented Interfaces:
  java.io.Serializable

public final class RTCException
extends java.lang.Exception

The RTCException class is thrown by the RTC.

Author:
  Sowmya Kumaraswamy , OpenNMS.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`RTCException()` Default class constructor.
`RTCException(java.lang.String s)` Constructs a new exception with the passed string as the message encapsulated in the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RTCException

    public RTCException()

  Default class constructor. Constructs a new exception with a default message.

### RTCException

    public RTCException(java.lang.String s)

  Constructs a new exception with the passed string as the message encapsulated in the exception.

Parameters:
  `s` - The exception's message.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.